'use strict';

const gracefulStorage = require('./graceful-storage-945bc8be.js');

const KEY = 'dyte-prefs';
const setPreference = (key, value) => {
  const data = JSON.parse(gracefulStorage.gracefulStorage.getItem(KEY) || '{}');
  data[key] = JSON.stringify(value);
  gracefulStorage.gracefulStorage.setItem('dyte-prefs', JSON.stringify(data));
};
const getPreference = (key) => {
  const data = JSON.parse(gracefulStorage.gracefulStorage.getItem(KEY) || '{}');
  return data[key];
};
const getUserPreferences = () => {
  const prefs = JSON.parse(gracefulStorage.gracefulStorage.getItem(KEY) || '{}');
  const mirrorVideo = prefs['mirror-video'] ? prefs['mirror-video'] === 'true' : true;
  const muteNotificationSounds = prefs['mute-notification-sounds']
    ? prefs['mute-notification-sounds'] === 'true'
    : false;
  const autoScroll = prefs['auto-scroll'] ? prefs['auto-scroll'] === 'true' : true;
  return { mirrorVideo, muteNotificationSounds, autoScroll };
};

exports.getPreference = getPreference;
exports.getUserPreferences = getUserPreferences;
exports.setPreference = setPreference;
