import { EventEmitter } from '../../stencil-public-runtime';
import { Meeting } from '../../types/dyte-client';
import { Size, States } from '../../types/props';
import { UIConfig } from '../../types/ui-config';
import { IconPack } from '../../lib/icons';
import { DytePlugin } from '@dytesdk/web-core';
/**
 * A component which lists all available plugins from their preset,
 * and ability to enable or disable plugins.
 */
export declare class DytePlugins {
  private updateActivePlugins;
  /** Meeting object */
  meeting: Meeting;
  /** Config */
  config: UIConfig;
  /** Size */
  size: Size;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  /** Emits updated state data */
  stateUpdate: EventEmitter<States>;
  plugins: DytePlugin[];
  canStartPlugins: boolean;
  canClosePlugin: boolean;
  activatedPluginsId: string[];
  connectedCallback(): void;
  disconnectedCallback(): void;
  meetingChanged(meeting: Meeting): void;
  private close;
  render(): any;
}
