import { defaultLanguage } from './default-language';
export declare type Language = 'en' | 'hi';
export declare const getLangData: (lang: Language) => Promise<LangDict>;
/**
 * Language dictionary object type
 */
export declare type LangDict = typeof defaultLanguage;
/**
 * i18n helper method type
 */
export declare type DyteI18n = (key: keyof LangDict | (string & {})) => string;
/**
 * Creates an i18n instance from a language dictionary/object.
 * @param lang The language dictionary
 * @returns A function which handles i18n
 */
export declare const useLanguage: (lang?: LangDict) => DyteI18n;
export { defaultLanguage };
