import type Meeting from '@dytesdk/web-core';
import type { DyteSelf as Self, DyteParticipant as Participant } from '@dytesdk/web-core';
import { Message } from '@dytesdk/web-core/types/client/DyteChat';
declare type Peer = Self | Participant;
export type { Meeting, Peer, Self, Participant };
export interface ChatUpdateParams {
  message: Message;
  messages: Message[];
}
export declare type RoomLeftState = 'left' | 'kicked' | 'ended' | 'disconnected';
export declare type MediaPermission = 'NOT_REQUESTED' | 'ACCEPTED' | 'DENIED' | 'SYSTEM_DENIED' | 'COULD_NOT_START';
export { RemoteUpdatePayload } from '@dytesdk/web-core/types/client/DyteRemoteRequest';
export declare enum RemoteUpdateType {
  REQUEST_RECEIVED = "REQUEST_RECEIVED",
  REQUEST_SENT = "REQUEST_SENT",
  INCOMING_REQUEST_ACCEPTED = "INCOMING_REQUEST_ACCEPTED",
  OUTGOING_REQUEST_ACCEPTED = "OUTGOING_REQUEST_ACCEPTED",
  INCOMING_REQUEST_ENDED = "INCOMING_REQUEST_ENDED",
  OUTGOING_REQUEST_ENDED = "OUTGOING_REQUEST_ENDED"
}
